"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const classnames_1 = require("classnames");
const Splitbar = (props) => {
    const classes = (0, classnames_1.default)('ihc-splitbar', {
        'ihc-splitbar-horizontal': props.direction !== 'vertical',
        'ihc-splitbar-vertical': props.direction === 'vertical'
    });
    const verticalSize = props.direction === 'vertical' && props.size && props.size > 0 ? props.size : undefined;
    const horizontalSize = props.direction !== 'vertical' && props.size && props.size > 0 ? props.size : undefined;
    return (React.createElement("div", { style: {
            width: horizontalSize,
            minWidth: horizontalSize,
            height: verticalSize,
            minHeight: verticalSize,
            backgroundColor: props.color
        }, className: classes, onMouseDown: props.onMouseDown }));
};
exports.default = Splitbar;
